Summary: A power management utility for MIDs (Mobile Internet Devices)
Name: ospm
Version: 1.0.4
Release: 1.5.moblin2
Provides: libospmem.so libospmutils.so
Group: System Environment/Base
Source: %{name}-%{version}.tar.bz2
License: BSD

BuildRequires: libnl
BuildRequires: libnl-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: dbus-devel  >= 0.90
BuildRequires: dbus-glib-devel >= 0.70
BuildRequires: libxml2-devel
BuildRequires: libXScrnSaver-devel

Requires: libnl
Requires: libX11
Requires: libXext
Requires: dbus
Requires: dbus-glib
Requires: libxml2
Requires: libXScrnSaver


%description
The OSPM program gives improved battery life by taking advantage
of hardware features in MID devices.


%prep
%setup -q


%build
unset LD_AS_NEEDED
%configure
make


%install
rm -rf $RPM_BUILD_ROOT
%make_install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/libospmem.so.1
%{_libdir}/libospmutils.so.1
# FIXME: We should not link against those!!
%{_libdir}/libospmem.so
%{_libdir}/libospmutils.so
%{_bindir}/ospm
/etc/ospm/mrst.xml
/etc/ospm/mrst.xsd
/etc/ospm/ospm.conf
/etc/dbus-1/system.d/com.intel.mid.ospm.conf
%{_libdir}/ospm-plugins/*



      
%changelog
* Wed Jun 17 2009 bjhueni <bret.j.hueni@intel.com> 1.0.4
- reworked 5mp camera for focus issue, reved to 1.0.4
* Mon Jun 15 2009 bjhueni <bret.j.hueni@intel.com> 1.0.3
- fix moblin compile problems with bugfix for bz#1983
* Thu Jun 11 2009 bjhueni <bret.j.hueni@intel.com> 1.0.3
- fixing segmentations faults, netlink fix included
* Wed Jun 10 2009 bjhueni <bret.j.hueni@intel.com> 1.0.3
- Latest source for Alpha1
* Wed May 27 2009 bjhueni <bret.j.hueni@intel.com> 1.0.1
- latest app source for Alpha1
* Thu Apr 30 2009 bjhueni <bret.j.hueni@intel.com> 1.0.1
- latest ospm source for PA2 and Alpha1
* Fri Apr 10 2009 Anas Nashif <anas.nashif@intel.com> 1.0.1
- readd so files to make it work for now
* Wed Apr  1 2009 bjhueni <bret.j.hueni@intel.com> 1.0.0
- cleaner spec for moblin
* Tue Mar 17 2009 bjhueni <bret.j.hueni@intel.com> 1.0.1
- testing fix for failed install
* Mon Mar 16 2009 bjhueni <bret.j.hueni@intel.com> 1.0.1
- updated ospm package for PA2
* Fri Jan 16 2009 Priya Vijayan <priya.vijayan@intel.com> 1.0.1
- Updating Source
* Thu Dec 11 2008 Yin Kangkai <kangkai.yin@intel.com>
- compress package
  * Nov Priya Vijayan <priya.vijayan@intel.com>
- Initial Import to MRST
* Mon Aug 25 2008 Sujith Thomas <sujith.thomas@intel.com> 
- initial version
  [ Some changelog entries trimmed for brevity.  -Editor. ]
